# Create Image Prewarm Task - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-create-image-prewarm

# Create Image Prewarm Task

POST

/

gpus

/

v2

/

prewarm-tasks

Try it

Create Image Prewarm Task

cURL

```
curl --request POST \
--url https://api.novita.ai/gpus/v2/prewarm-tasks \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"image": "registry.example.com/team/image:tag",
"region_id": "region-a",
"registry_auth_id": "registry-auth-id",
"product_ids": [
"product-a",
"product-b"
],
"note": ""
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/prewarm-tasks"payload = { "image": "registry.example.com/team/image:tag", "region_id": "region-a", "registry_auth_id": "registry-auth-id", "product_ids": ["product-a", "product-b"], "note": ""}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ image: 'registry.example.com/team/image:tag', region_id: 'region-a', registry_auth_id: 'registry-auth-id', product_ids: ['product-a', 'product-b'], note: '' })};fetch('https://api.novita.ai/gpus/v2/prewarm-tasks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/prewarm-tasks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'image' => 'registry.example.com/team/image:tag', 'region_id' => 'region-a', 'registry_auth_id' => 'registry-auth-id', 'product_ids' => [ 'product-a', 'product-b' ], 'note' => '' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/prewarm-tasks"	payload := strings.NewReader("{\n \"image\": \"registry.example.com/team/image:tag\",\n \"region_id\": \"region-a\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"product_ids\": [\n \"product-a\",\n \"product-b\"\n ],\n \"note\": \"\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpus/v2/prewarm-tasks") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"image\": \"registry.example.com/team/image:tag\",\n \"region_id\": \"region-a\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"product_ids\": [\n \"product-a\",\n \"product-b\"\n ],\n \"note\": \"\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/prewarm-tasks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"image\": \"registry.example.com/team/image:tag\",\n \"region_id\": \"region-a\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"product_ids\": [\n \"product-a\",\n \"product-b\"\n ],\n \"note\": \"\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "prewarm-task-id"
}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Body

application/json

[​](#body-image)

image

string

required

Fully qualified image to prewarm. String, length: 1-4095 characters.

Example:

`"registry.example.com/team/image:tag"`

[​](#body-region-id)

region_id

string

required

Target region ID. String, length: 1-255 characters.

Example:

`"region-a"`

[​](#body-registry-auth-id)

registry_auth_id

string

Registry authentication ID. Required when prewarming a private image. String, length: 0-255 characters.

Example:

`"registry-auth-id"`

[​](#body-product-ids)

product_ids

string[]

Product IDs to cover with prewarming.

Example:

```
["product-a", "product-b"]
```

[​](#body-note)

note

string

Note for the prewarm task.

Example:

`""`

#### Response

200 - application/json

OK

[​](#response-task-id)

task_id

string

Image prewarm task ID

Example:

`"prewarm-task-id"`

Last modified on June 23, 2026
